Subject: Re: Further phylink changes (was: [PATCH net-next 1/4] net: dsa: ocelot: populate supported_interfaces)

From: Andrew Lunn <[email-masked]>
Date: Fri, 25 Feb 2022 18:57:33 +0100

> ... changing the subject line to show we've drifted off topic ...
> 
> Yes, once we've worked out what the PCS interface should look like in
> order to deal with the 88E6393 errata workaround that needs to be run
> each time the interface changes or whenever we "power up" the PCS.

Hi Russell

The erratas are not limited to 6393. For the 6390 there is an errata
where you need to "power up" the PCS before you change cmode,
otherwise TX works, but RX just drops frames rather than pass them to
the MAC.

I've not looked at the details of your proposal, and maybe it is a
none issue, i just wanted to make sure you are aware of this.

   Andrew